{
  "name": "@mongosh/service-provider-server",
  "version": "0.0.0-dev.0",
  "description": "MongoDB Shell Server Service Provider Package",
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "config": {
    "unsafe-perm": true
  },
  "repository": {
    "type": "git",
    "url": "git://github.com/mongodb-js/mongosh.git"
  },
  "scripts": {
    "compile-ts": "tsc -p tsconfig.json",
    "test": "cross-env TS_NODE_PROJECT=../../config/tsconfig.test.json mocha -r \"../../scripts/import-expansions.js\" --timeout 60000 -r ts-node/register \"./src/**/*.spec.ts\"",
    "test-ci": "node ../../scripts/run-if-package-requested.js npm test",
    "prepublish": "npm run compile-ts",
    "lint": "eslint --report-unused-disable-directives \"./{src,test}/**/*.{js,ts,tsx}\"",
    "check": "npm run lint && depcheck --skip-missing=true --ignores aws4"
  },
  "license": "Apache-2.0",
  "publishConfig": {
    "access": "public"
  },
  "engines": {
    "node": ">=14.15.1"
  },
  "dependency-check": {
    "entries": [
      "src/**/*.js"
    ],
    "ignore": [
      "sinon",
      "chai",
      "uuid",
      "encoding"
    ]
  },
  "mongosh": {
    "ciRequiredOptionalDependencies": {
      "mongodb-client-encryption": ["darwin", "linux", "win32"],
      "kerberos": ["darwin", "linux", "win32"]
    }
  },
  "dependencies": {
    "@mongodb-js/devtools-connect": "^1.4.3",
    "@mongosh/errors": "0.0.0-dev.0",
    "@mongosh/service-provider-core": "0.0.0-dev.0",
    "@mongosh/types": "0.0.0-dev.0",
    "@types/sinon-chai": "^3.2.3",
    "aws4": "^1.11.0",
    "mongodb": "^4.13.0",
    "mongodb-connection-string-url": "^2.6.0",
    "saslprep": "mongodb-js/saslprep#v1.0.4"
  },
  "optionalDependencies": {
    "mongodb-client-encryption": "^2.3.0",
    "kerberos": "^2.0.0"
  }
}
